Skip to main content
GET
List markets (keyset pagination)

Query Parameters

limit
integer
default:20

Maximum number of results to return (max 100)

Required range: 1 <= x <= 100
order
string

Comma-separated list of JSON field names to order by, e.g. volume_num,liquidity_num

ascending
boolean
default:true

Sort direction. Only used when order is set.

after_cursor
string

Opaque cursor token from a previous response's next_cursor

offset
integer

Not allowed. Returns 422 if provided.

id
integer[]
slug
string[]
closed
boolean
default:false
decimalized
boolean
clob_token_ids
string[]
condition_ids
string[]
question_ids
string[]
market_maker_address
string[]
liquidity_num_min
number
liquidity_num_max
number
volume_num_min
number
volume_num_max
number
start_date_min
string<date-time>
start_date_max
string<date-time>
end_date_min
string<date-time>
end_date_max
string<date-time>
tag_id
integer[]
tag_match
string
cyom
boolean
rfq_enabled
boolean
uma_resolution_status
string
game_id
string
sports_market_types
string[]
include_tag
boolean

When true, includes Tags relation on each market

locale
string

Response

Paginated list of markets. Includes Events and Events.Series relations. Tags included only when include_tag=true. Nested clob_rewards and fee_schedule are populated on each market.

markets
object[]

Array of Market objects. Empty array if none found.

next_cursor
string

Opaque cursor token for fetching the next page. Present only when the number of returned markets equals the effective limit. Omitted on the last page.